Sender IDs

Request a sender ID

Requests a new sender ID. Our team reviews it with the mobile networks, usually within a few working days. You will get a sender_id.updated webhook when it is approved or rejected.

POST
/v1/sender-ids

Requests a new sender ID. Our team reviews it with the mobile networks, usually within a few working days. You will get a sender_id.updated webhook when it is approved or rejected.

Authorization

bearer
headerAuthorizationBearer <JWT>

Your secret API key: sk_live_… for live traffic or sk_test_… for testing.

Request Body

application/json
  1. body
name*string

The name recipients will see, 3 to 11 letters or digits with at least one letter.

Match^(?=.*[A-Za-z])[A-Za-z0-9]{3,11}$
purpose*string

What you will send with this sender ID. Used during review.

Length10 <= length <= 500
sampleMessage*string

A typical message you will send.

Length5 <= length <= 612

Response Body

The request was received.

application/json
Example Request
curl -X POST 'https://api.appstractone.com/v1/sender-ids' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "MYSHOP",
  "purpose": "Order updates for our customers",
  "sampleMessage": "Your order #1042 is on its way."
}'
Example Response
{
  "id": "4497468d-9d39-4bef-b7eb-23369ae9f52b",
  "name": "MYSHOP",
  "status": "pending",
  "purpose": "Order updates for our customers",
  "sampleMessage": "Your order #1042 is on its way.",
  "rejectionReason": null,
  "createdAt": "2026-11-05T00:47:20.633Z"
}